aboutsummaryrefslogtreecommitdiffstats
path: root/tests/auth-login
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
committerGuilhem Moulin <guilhem@fripost.org>2019-11-13 06:24:07 +0100
commitc6bbdd8aa697b2d42be1ac0839189da32d437a8f (patch)
treecd1b8d19d99557fbebe33344d0d23f6ac826da57 /tests/auth-login
parent87d947df1b837514a0f1efa3bc36b58088bd2564 (diff)
parentdac4ab1c9306bf2035bc1547d2ed27ab09850120 (diff)
Merge branch 'master' into debian
Diffstat (limited to 'tests/auth-login')
-rw-r--r--tests/auth-login/interimap.remote5
-rw-r--r--tests/auth-login/remote.conf2
-rw-r--r--tests/auth-login/t12
3 files changed, 19 insertions, 0 deletions
diff --git a/tests/auth-login/interimap.remote b/tests/auth-login/interimap.remote
new file mode 100644
index 0000000..b7d67bf
--- /dev/null
+++ b/tests/auth-login/interimap.remote
@@ -0,0 +1,5 @@
+type = imap
+host = localhost
+port = 10143
+STARTTLS = NO
+auth = login
diff --git a/tests/auth-login/remote.conf b/tests/auth-login/remote.conf
new file mode 100644
index 0000000..4ab127a
--- /dev/null
+++ b/tests/auth-login/remote.conf
@@ -0,0 +1,2 @@
+!include conf.d/imapd.conf
+auth_mechanisms = plain login
diff --git a/tests/auth-login/t b/tests/auth-login/t
new file mode 100644
index 0000000..7fd83d5
--- /dev/null
+++ b/tests/auth-login/t
@@ -0,0 +1,12 @@
+for ((i = 0; i < 32; i++)); do
+ u="$(shuf -n1 -e "local" "remote")"
+ sample_message | deliver -u "$u"
+done
+
+# check that credentials aren't leaked to the debug output
+interimap --debug || error
+grep -Fx "remote: C: xxx LOGIN [REDACTED]" <"$STDERR" || error
+
+check_mailbox_status "INBOX"
+
+# vim: set filetype=sh :